Merge Variants

View as Markdown
Merges multiple product variants into a target variant. Provide an array of variant IDs to merge into the target variant specified in the path. Inventory from the merged variants will be consolidated into the target variant.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

variantIdstringRequiredformat: "int64"
The ID of the variant to use as the merge target

Request

The variants that should be merged to the target variant

Response

Created
created_ondatetimeOptional
Timestamp when the product was created
idlongOptional
Unique identifier for the product
namestring or nullOptional
Product name
taxonomyobjectOptional
Product categorization information including category hierarchy
typestring or nullOptional

Product type (e.g., ‘Regular’ or ‘Bundle’)

updated_ondatetime or nullOptional
Timestamp when the product was last updated
user_idlongOptional
ID of the user who owns this product
variantslist of objects or nullOptional
List of variants belonging to this product. Each variant represents a specific SKU.